<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
      "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
  <title>Accessibilit dans Amaya</title>
  <meta name="GENERATOR" content="amaya 9.4, see http://www.w3.org/Amaya/" />
  <meta http-equiv="content-type" content="text/html; charset=iso-8859-1" />
  <link href="style.css" rel="stylesheet" type="text/css" />
</head>

<body xml:lang="fr" lang="fr">

<div class="PageHead">
Amaya<img alt="logo" src="../../resources/icons/22x22/logo.png" class="logo"
/> 

<p class="nav"><a href="ShortCuts.html.fr" accesskey="p"><img alt="previous"
src="../../resources/icons/misc/left.png" /></a> <a href="Manual.html.fr"
accesskey="t"><img alt="top" src="../../resources/icons/misc/up.png" /></a><a
href="HTML-elements/HTML.html.fr"><img alt="next" border="0"
src="../../resources/icons/misc/right.png" /></a></p>
</div>

<div class="PageBody" id="Access">
<h2 id="Accessibil">Accessibilit</h2>

<h3 id="Fonctions">Fonctions accessibles</h3>

<p>Afin d'amliorer l'accessibilit pour les personnes handicapes, un grand
nombre de fonctions d'Amaya peuvent tre excutes sans utiliser la souris ou
le clavier.</p>

<p>Les caractristiques d'accessibilit incluent :</p>
<ul>
  <li>Les vues liens, structure, et table des matires, qui peuvent tre
    utilises pour naviguer dans le document. Elles sont synchronises avec
    la vue formate.</li>
  <li>La possibilit d'diter le code source.</li>
  <li>Les feuilles de style, qui peuvent tre ajoutes et dites
    dynamiquement, randant ainsi le contenu des pages indpendant de leur
    prsentation.</li>
  <li>Les accs rapides et l'activation au clavier des liens et des contrles
    de formulaires.</li>
</ul>

<h3 id="Produire">Produire un contenu accessible</h3>

<p>Amaya peut tre utilis pour produire un contenu conforme au <a
href="http://www.w3.org/TR/WAI-WEBCONTENT">Web Content Accessibility
Guidelines</a> du W3C. Certaines caractristiques, comme par exemple
l'obligation de fournir un attribut <code>alt</code> pour les images et les
zones actives, sont dj disponibles (il est impossible d'ajouter une image
tant qu'il n'y a pas de texte altern).</p>

<p>Amaya produit aussi automatiquement un balisage valide, conforme aux
recommandations du W3C. D'autres caractristiques, comme l'ajout de
descriptions longues et les lgendes, peuvent tre assures par l'auteur 
l'aide de l'outil <strong>Attributs</strong> ou de la vue structure.</p>

<p>La documentation d'Amaya dcrit <a
href="HTML-elements/infoTypes.html.fr">comment utiliser quelques lments
individuels HTML</a> et comporte une aide en ligne sur la faon d'assurer que
les pages produites soient accessibles. On peut aussi consulter des guides en
ligne plus complets, comme les <a
href="http://www.w3.org/TR/WAI-WEBCONTENT">Web Content Accessibility
Guidelines</a> du W3C. Le <a href="http://www.w3.org/WAI">Web Accessibility
Initiative</a> du W3C publie galement <a
href="http://www.w3.org/WAI/References/QuickTips/#Introduction">De brefs
renseignements pour faire des sites Web accessibles</a> dont les dix conseils
pratiques sont :</p>
<ul>
  <li><strong>Images &amp; animations.</strong> Utilisez l'attribut
    <code>alt</code> pour dcrire la fonction de chaque graphique.</li>
  <li><strong>Zones actives.</strong> Utilisez l'lment <code>map</code> et
    le texte pour les zones sensibles.</li>
  <li><strong>Multimdia.</strong> Fournissez des lgendes et des
    transcriptions pour l'audio, et des descriptions pour la vido.</li>
  <li><strong>Liens hypertextes.</strong> Utilisez un texte qui a un sens
    mme lorsqu'il est lu en-dehors de son contexte. Par exemple, vitez
    cliquer ici.</li>
  <li><strong>Organisation de la page.</strong> Utilisez les en-ttes, les
    listes, ainsi qu'une structure cohrente. Utilisez les
    <strong>CSS</strong> pour la mise en page et le style quand cela est
    possible.</li>
  <li><strong>Graphiques et schmas.</strong> Rsumez ou utilisez l'attribut
    <code>longdesc</code>.</li>
  <li><strong>Scripts, applets, et plug-ins.</strong> Fournissez un contenu
    alternatif qui sera utilis dans le cas o les caractristiques actives
    sont inaccessibles ou non supportes.</li>
  <li><strong>Frames.</strong> Utilisez l'lment <code>noframe</code> ainsi
    que des titres significatifs.</li>
  <li><strong>Tables.</strong> Assurez-vous qu'une lecture ligne par ligne
    aie du sens. Rsumez.</li>
  <li><strong>Vrifier votre travail.</strong> <a
    href="http://validator.w3.org/">Validez</a>. Utilisez les outils, la
    liste de vrification, et les aides en ligne  <a
    href="http://www.w3.org/TR/WCAG">http://www.w3.org/TR/WCAG</a>.</li>
</ul>

<p></p>
</div>
</body>
</html>
